Support » Fixing WordPress » WP 3.5.1 Causes jQuery TypeError in jquery.js below 768px window size

  • Hi guys,

    I’ve got a pretty interesting issue here. As the title says, the 3.5.1 upgrade (from 3.4) causes a TypeError in jquery.js, but only below window sizes of 768px wide.

    Uncaught TypeError: Object #<Object> has no method 'none'

    It’s on a live site at the moment, so feel free to dig around in the developer tools. The site is http://www.cushionid.com.au.

    Thanks in advance for your help.

Viewing 1 replies (of 1 total)
  • I found the function responsible. It was a jQuery function added by the original theme (Shelflife by WooThemes) that turns the menu into a select under certain widths.

    I wasn’t using that function anyway, but if anyone feels like debugging it for funsies, here’s the code that was causing the issue.

    http://pastebin.com/FCdpDJkj

Viewing 1 replies (of 1 total)
  • The topic ‘WP 3.5.1 Causes jQuery TypeError in jquery.js below 768px window size’ is closed to new replies.